org.eclipse.swt.accessibility

## Interface AccessibleValueListener

All Known Implementing Classes:
  AccessibleValueAdapter

    public interface AccessibleValueListener

Classes which implement this interface provide methods that handle AccessibleValue events.

After creating an instance of a class that implements this interface it can be added to an accessible using the `addAccessibleValueListener` method and removed using the `removeAccessibleValueListener` method.

Since:
  1.4
See Also:
  `AccessibleValueAdapter`, `AccessibleValueEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `getCurrentValue(AccessibleValueEvent e)` Returns the value of this object as a number.
`void` `getMaximumValue(AccessibleValueEvent e)` Returns the maximum value that can be represented by this object.
`void` `getMinimumValue(AccessibleValueEvent e)` Returns the minimum value that can be represented by this object.
`void` `setCurrentValue(AccessibleValueEvent e)` Sets the value of this object to the given number.

### Method Detail

#### getCurrentValue

    void getCurrentValue(AccessibleValueEvent e)

Returns the value of this object as a number.

Parameters:
  `e` - an event object containing the following fields:
  - [out] value - the number that is the current value of this object

#### setCurrentValue

    void setCurrentValue(AccessibleValueEvent e)

Sets the value of this object to the given number. The argument is clipped to the valid interval whose upper and lower bounds are returned by getMaximumValue and getMinimumValue, i.e. if it is lower than the minimum value the new value will be the minimum, and if it is greater than the maximum then the new value will be the maximum.

Parameters:
  `e` - an event object containing the following fields:
  - [in/out] value - on input, the number that will be the new value of this object
    - on output, set to null if the value cannot be set

#### getMaximumValue

    void getMaximumValue(AccessibleValueEvent e)

Returns the maximum value that can be represented by this object.

Parameters:
  `e` - an event object containing the following fields:
  - [out] value - the number that is the maximum value that this object can represent. If this object has no upper bound then null is returned.

#### getMinimumValue

    void getMinimumValue(AccessibleValueEvent e)

Returns the minimum value that can be represented by this object.

Parameters:
  `e` - an event object containing the following fields:
  - [out] value - the number that is the minimum value that this object can represent. If this object has no lower bound then null is returned.

Copyright (c) EclipseSource and others 2002, 2016. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0